summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorCecil <knoppmyth@gmail.com>2011-02-05 03:42:26 (GMT)
committerCecil <knoppmyth@gmail.com>2011-02-05 03:42:26 (GMT)
commit05331769b466cbf02ed563075652935501a03d6d (patch)
tree8181bbcffb932515bba45cc2b0ea71e4f82730cc /abs
parent56cffaefdd82172fda348e23dd98aa311d26b7ec (diff)
parentac3fbe0fb10fcaa30d2a7cfb616bfadee79e7cc9 (diff)
downloadlinhes_pkgbuild-05331769b466cbf02ed563075652935501a03d6d.zip
linhes_pkgbuild-05331769b466cbf02ed563075652935501a03d6d.tar.gz
linhes_pkgbuild-05331769b466cbf02ed563075652935501a03d6d.tar.bz2
Merge branch 'testing' of ssh://cesman@linhes.org/mount/repository/linhes_pkgbuild into testing
Diffstat (limited to 'abs')
-rw-r--r--abs/core/mythtv/stable-0.24/mythweb/PKGBUILD13
-rw-r--r--abs/core/mythtv/stable-0.24/mythweb/mythweb.php.patch11
2 files changed, 19 insertions, 5 deletions
diff --git a/abs/core/mythtv/stable-0.24/mythweb/PKGBUILD b/abs/core/mythtv/stable-0.24/mythweb/PKGBUILD
index 59ba653..ad0f776 100644
--- a/abs/core/mythtv/stable-0.24/mythweb/PKGBUILD
+++ b/abs/core/mythtv/stable-0.24/mythweb/PKGBUILD
@@ -1,6 +1,6 @@
pkgname=mythweb
pkgver=0.24
-pkgrel=9
+pkgrel=12
pkgdesc="Web interface for MythTV's backend"
url="http://www.mythtv.org"
license="GPL"
@@ -9,8 +9,8 @@ arch=('i686' 'x86_64')
depends=('mythtv>=0.24' 'lighttpd' 'php' 'local-website')
groups=('mythtv-extras')
-patches=()
-source=('ftp://ftp.knoppmyth.net/R6/sources/mythweb-0.24-fixes.tar.bz2' `echo${patches[@]:0}`)
+patches=('mythweb.php.patch')
+source=('ftp://ftp.knoppmyth.net/R6/sources/mythweb-0.24-fixes.tar.bz2' `echo ${patches[@]:0}`)
DOCROOT=/data/srv/httpd/htdocs/mythweb
_gitroot="https://github.com/mythtv/mythweb.git"
@@ -25,7 +25,7 @@ build() {
do
echo applying $i
echo "-----------------------------"
- patch -Np0 -i ${startdir}/src/$i || return 1
+ patch -Np0 -i ${srcdir}/$i || return 1
done
echo "--------------------------done applying patches-----------------------------------------------"
@@ -39,4 +39,7 @@ build() {
chmod g+rw $pkgdir/$DOCROOT/{image_cache,php_sessions,data}
}
-md5sums=('45703fa3899c4ee84d1b087bfcc6654e')
+
+
+md5sums=('45703fa3899c4ee84d1b087bfcc6654e'
+ '51a502491a7fa444ec24516cd0669997')
diff --git a/abs/core/mythtv/stable-0.24/mythweb/mythweb.php.patch b/abs/core/mythtv/stable-0.24/mythweb/mythweb.php.patch
new file mode 100644
index 0000000..4525e68
--- /dev/null
+++ b/abs/core/mythtv/stable-0.24/mythweb/mythweb.php.patch
@@ -0,0 +1,11 @@
+--- mythweb.php.orig 2011-02-01 03:33:56.000000000 +0000
++++ mythweb.php 2011-02-01 03:34:20.000000000 +0000
+@@ -30,7 +30,7 @@
+ if (Modules::getModule($Path[0])) {
+ // Add the current module directory to our search path, so modules can
+ // define includes, etc.
+- ini_set('include_path', ini_get('include_path').':'.modules_path.'/'.$Path[0]);
++ ini_set('include_path', ini_get('include_path').':'.modules.'/'.$Path[0]);
+ // Load the module handler
+ require_once 'handler.php';
+ }